package com.ssj.bean.weixin.problem.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;


@Entity
@Table(name = "sys_cn_area")
public class CnArea extends BaseEntity{
	
	private static final long serialVersionUID = 1L;
	private String name;//名称
	private Integer type;//省1市2县（区）3学校4
	private String upId;//父id
	private String py;//首字母拼音
	private Integer isHotcity;//是否热门城市：0不是1是
	private String schoolAddress;//学校详细地址
	private String schoolLng;//学校经度
	private String schoolLat;//学校纬度
	private int banben = 2; //1北师大（沪教版深圳）2人教版(教科版广州)
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public String getUpId() {
		return upId;
	}
	public void setUpId(String upId) {
		this.upId = upId;
	}
	public String getPy() {
		return py;
	}
	public void setPy(String py) {
		this.py = py;
	}
	public Integer getIsHotcity() {
		return isHotcity;
	}
	public void setIsHotcity(Integer isHotcity) {
		this.isHotcity = isHotcity;
	}
	public String getSchoolAddress() {
		return schoolAddress;
	}
	public void setSchoolAddress(String schoolAddress) {
		this.schoolAddress = schoolAddress;
	}
	public String getSchoolLng() {
		return schoolLng;
	}
	public void setSchoolLng(String schoolLng) {
		this.schoolLng = schoolLng;
	}
	public String getSchoolLat() {
		return schoolLat;
	}
	public void setSchoolLat(String schoolLat) {
		this.schoolLat = schoolLat;
	}
	public int getBanben() {
		return banben;
	}
	public void setBanben(int banben) {
		this.banben = banben;
	}
	
}
